#!/bin/sh

set +v #  -- **************************************************************************
set +v #  -- Licensed Material - Property of IBM
set +v #  --
set +v #  -- 5724-M24
set +v #  --
set +v #  -- Copyright IBM Corp. 2005, 2010.  All rights reserved.
set +v #  --
set +v #  -- US Government Users Restricted Rights - Use, duplication or
set +v #  -- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
set +v #  -- ************************************************************************

USER_PROPS=$*
cd ./../../bin
. ./setupCmdLine.sh
SYS_PROPS=-Djava.util.logging.config.file=logging.properties
MY_CLASSPATH=$WAS_HOME/plugins/com.ibm.wbimonitor.actionmgr.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.persistence.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.util.jar:$WAS_HOME/plugins/com.ibm.ws.runtime.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/plugins/com.ibm.ws.emf.jar:$WAS_HOME/plugins/org.eclipse.emf.ecore.jar:$WAS_HOME/plugins/org.eclipse.emf.common.jar:$WAS_HOME/plugins/com.ibm.ffdc.jar

cd ../scripts.wbm/AAMExport

#######################################################
#                                                     #
# Subroutine: Usage                                   #
#                                                     #
#######################################################
usage () {
  echo  "Usage:"
  echo  "runAAMExport -source_db_user <user id source database> -source_db_password <password of source database> -destination_db_user <user id of destinationdatabase> -destination_db_password  <user password of destinationdatabase>"  
  echo  ""
  echo  "where:"
  echo  ""
  echo  "-source_db_user:"
  echo  "     User id that is authorized to access source database,this parameteter is necessary when exporting alert definition from monitor database to a local xml file."
  echo  ""
  echo  "-source_db_password:"
  echo  "     Password that is authorized to access source database,this parameteter is necessary when exporting alert definition from monitor database to a local xml file."
  echo  ""
  echo  "-destination_db_user:"
  echo  "      User that is authorized to access destination database,this parameteter is necessary when importing alert definition from xml file to monitor database."  
  echo  "-destination_db_password:"
  echo  "     Password that is authorized to access destination database,this parameteter is necessary when importing alert definition from xml file to monitor database."  
  echo  ""     
  echo  "Notice:Values defined in config.properties will be used by default if running runAMMExport without any parameters."
  exit 1
 }   
 
if [ $# -gt 8 ]; then
  usage
fi
  
while [ $# -gt 0 ]; do
  case $1 in
    -source_db_user) source_db_user=$2; shift; shift;;
    -source_db_password) source_db_password=$2; shift; shift;;
    -destination_db_user) destination_db_user=$2; shift; shift;;
    -destination_db_password) destination_db_password=$2; shift; shift;;
    -h) usage;;
    *) usage;;
  esac;
done

"$JAVA_HOME"/bin/java -classpath "$MY_CLASSPATH" $SYS_PROPS  com.ibm.wbimonitor.actionmgr.importer.Importer $source_db_user $source_db_password $destination_db_user $destination_db_password
if [ $? -gt 0 ]; 
  then    
    exit 1
  else  	
	exit 0
fi




