#!/bin/sh

set +v # -- **************************************************************************
set +v # -- Licensed Material - Property of IBM
set +v # -- 5724-M24
set +v # -- Copyright IBM Corporation 2011. All Rights Reserved.
set +v # -- US Government Users Restricted Rights- Use, duplication or disclosure
set +v # -- restricted by GSA ADP Schedule Contract with IBM Corp.
set +v # -- **************************************************************************
set +v # -- Migrate the portlets to widgets
set +v # -- **************************************************************************

scriptName=migratePortlets.sh

if [ "${5}" = "" ]; then 
	echo  ERROR: Missing 1 or more required parameter. Script is invoked as follows:
    echo  Usage: migratePortlets.sh \<WAS_HOME\> \<WPS_HOME\> \<portal_config_url\> \<portal_admin\> \<portal_pw\> 
	echo  where for example
	echo  \<WAS_HOME\> 	/opt/IBM/WebSphere/Appserver
	echo  \<WPS_HOME\> 	/opt/IBM/WebSphere/PortalServer
	echo  \<portal_config_url\> http://localhost:10039/wps/config
	echo  \<portal_admin\> wpsadmin
	echo  \<portal_pw\> yourpassword
	exit
fi

if [ "${1}" != "" ]; then WAS_HOME=$1; fi
echo `date +"%x - %X: "` $scriptName use WAS_HOME=$WAS_HOME 

if [ "${2}" != "" ]; then WPS_HOME=$2; fi
echo `date +"%x - %X: "` $scriptName use WPS_HOME=$WPS_HOME 

if [ "${3}" != "" ]; then PORTAL_CONFIG_URL=$3; fi
echo `date +"%x - %X: "` $scriptName use PORTAL_CONFIG_URL=$PORTAL_CONFIG_URL 

if [ "${4}" != "" ]; then ADMIN_USER=$4;  fi
echo `date +"%x - %X: "` $scriptName use ADMIN_USER=$ADMIN_USER 

if [ "${5}" != "" ]; then ADMIN_PASSWORD=$5; fi
echo `date +"%x - %X: "` $scriptName use ADMIN_PASSWORD=$ADMIN_PASSWORD 

CURRENT_DIR=`pwd`
JAVA=$WAS_HOME/java/bin/java
IN_FILE=$CURRENT_DIR/Export.xml
OUT_FILE=$CURRENT_DIR/Export_out.xml
IMPORT_IN_FILE=$CURRENT_DIR/Import_In.xml
IMPORT_OUT_FILE=$CURRENT_DIR/Import_Out.xml
CLASSPATH_MON=$WPS_HOME/base/wp.xml.client/bin/wp.xml.client.jar:$WPS_HOME/base/wp.base/shared/app/wp.base.jar:$WAS_HOME/lib/j2ee.jar

# get a complete export from portal
$JAVA -cp $CLASSPATH_MON com.ibm.wps.xmlaccess.XmlAccess -in $IN_FILE -out $OUT_FILE -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL

# transform the portlets to widgets. change option to true to migrate Alphablox widget to Cognos widget.
$JAVA -cp $CURRENT_DIR/migratePortlets.jar com.ibm.wbimonitor.dashboard.xmlparser.PortletToWidget -cognos true -trace false $OUT_FILE $IMPORT_IN_FILE

# import the new pages
$JAVA -cp $CLASSPATH_MON com.ibm.wps.xmlaccess.XmlAccess -in $IMPORT_IN_FILE -out $IMPORT_OUT_FILE -user $ADMIN_USER -pwd $ADMIN_PASSWORD -url $PORTAL_CONFIG_URL 
